<?php namespace EscapeWork\Manager\Calendars\Models;

use EscapeWork\Manager\Calendars\Extensions\CalendarDayCollection;
use EscapeWork\LaravelHelpers\BaseModel;

class CalendarDay extends BaseModel
{

   /**
    * Table
    */
    protected $table = 'calendar_days';

    /**
     * Fillable fields
     */
    protected $fillable = array(
        'calendar_id',
        'day'
    );

    /**
     * Validation rules
     */
    public $validationRules = array(
        'day' => array('required')
    );

    /**
     * Mensagens de validação
     */
    public $validationMessages = array(
        'day.required' => 'O dia do evento é obrigatório',
    );

    /**
     * Setting the day
     */
    public function setDayAttribute($value)
    {
        $this->attributes['day'] = to_timestamp($value, 'd/m/Y', 'Y-m-d');
    }

    /**
     * New Collection
     */
    public function newCollection(array $models = array())
    {
        return new CalendarDayCollection($models);
    }
}
