<?php namespace EscapeWork\Manager\Calendars\Repositories;

use EscapeWork\LaravelHelpers\BaseRepository;
use EscapeWork\Manager\Calendars\Models\Calendar;

class CalendarRepository extends BaseRepository
{

    /**
     * Valid orderBy fields
     */
    protected $orderByFields = array(
        'id',
        'title',
        'place',
    );

    public function __construct(Calendar $calendar)
    {
        $this->model = $calendar;
    }

    public function filterAndPaginate(array $params = array())
    {
        $query = $this->model->newQuery();

        if (isset($params['title'])) {
            $query->where('title', 'like', '%'.$params['title'].'%');
        }

        //$this->configureOrderBy($query, $params, 'created_at', 'desc');

        return $query->paginate();
    }
}
