@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a></li>
        <li class="active">Calendário</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Calendário</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.calendarios.create') }}" class="btn btn-primary">Inserir novo evento</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

   @include('manager::inc.messages')

    @if (Check::can('calendars', 'read'))
        <form action="{{ route('manager.calendarios.index') }}" class="well form-inline" method="get" id="form-search">
            @section('search')
                <div class="pull-left">
                    <label>
                        <input type="text" class="form-control" name="title" placeholder="Título..." value="{{ Input::get('title') }}" maxlength="100" />
                    </label>&nbsp;
                </div>

                <div class="pull-left">
                    <button type="submit" class="btn btn-primary"><i class="icon-search icon-white"></i> Buscar</button>

                    <a class="btn btn-default" href="{{ route('manager.calendarios.index') }}">
                        Limpar filtros
                    </a>
                </div>

                <div class="clearfix"></div>
            @show
        </form>

        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>#</th>
                    <th><a href="{{ route('manager.calendarios.index') }}" title="Ordenar pelo título">Título</a></th>
                    <th><a href="{{ route('manager.calendarios.index') }}" title="Ordernar pelo local">Local</a></th>
                    <th width="5%">Destaque</th>
                    <th width="5%">Ativo</th>
                    <th width="15%">Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($calendars as $calendar)
                    <tr>
                        <td>{{ $calendar->id }}</td>
                        <td>{{ $calendar->title }}</td>
                        <td>{{ $calendar->place }}</td>
                        <td align="center"><input type="checkbox" value="1"  data-id="{{ $calendar->id }}" data-manager-update-checkbox="featured" data-manager-update-url="{{ route('manager.calendarios.update', $calendar->id) }}" {{ $calendar->featured ? 'checked="checked"' : null }} /></td>
                        <td align="center"><input type="checkbox" value="1" data-id="{{ $calendar->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.calendarios.update', $calendar->id) }}" {{ $calendar->active ? 'checked="checked"' : null }} /></td>
                        <td>
                            <div class="btn-group btn-group-sm">
                                <a href="{{ route('manager.calendarios.edit', $calendar->id) }}" class="btn btn-default" title="Editar">
                                    <span class="input-addon"><span class="glyphicon glyphicon-pencil"></span></span>
                                    editar
                                </a>

                                <a href="{{ route('manager.calendarios.destroy', $calendar->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                    <span class="input-addon"><span class="glyphicon glyphicon-trash"></span></span>
                                    excluir
                                </a>
                            </div><!-- .btn-group -->
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table><!-- .table -->

        {{ $calendars->appends(Input::except('page'))->links() }}
    @endif
@stop
